Bug 30550 - OPAC recalls page tries to use jQueryUI datepicker
Summary: OPAC recalls page tries to use jQueryUI datepicker
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 29212
Blocks:
  Show dependency treegraph
 
Reported: 2022-04-14 18:26 UTC by Owen Leonard
Modified: 2022-05-17 12:39 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30550: OPAC recalls page tries to use jQueryUI datepicker (2.76 KB, patch)
2022-04-14 18:33 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30550: OPAC recalls page tries to use jQueryUI datepicker (2.81 KB, patch)
2022-05-02 01:19 UTC, David Nind
Details | Diff | Splinter Review
Bug 30550: OPAC recalls page tries to use jQueryUI datepicker (2.90 KB, patch)
2022-05-03 12:42 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 30550: (QA follow-up) Clear cleartext remainders (1.15 KB, patch)
2022-05-03 12:42 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2022-04-14 18:26:41 UTC
The OPAC recalls template predates the switch to Flatpickr, but without jQueryUI datepicker available the calendar popup doesn't work.

This patch will implement Flatpickr for that field.
Comment 1 Owen Leonard 2022-04-14 18:33:44 UTC
Created attachment 133333 [details] [review]
Bug 30550: OPAC recalls page tries to use jQueryUI datepicker

This patch updates the recalls page in the OPAC so that it uses
Flatpickr for the "Recall not needed after" field.

To test apply the patch and enable the UseRecalls preference if
necessary. You made need to update your circulation rules as well,
defining some default values for recalls.

- Log in to the OPAC.
- Locate a bibliographic record which has one item and that item is
  checked out.
- Click "Place recall."
- The "Recall not needed after" field should be styled correctly, and
  clicking it should trigger the calendar popup.
- You should be limited to selections after today's date.
Comment 2 David Nind 2022-05-02 01:19:18 UTC
Created attachment 134449 [details] [review]
Bug 30550: OPAC recalls page tries to use jQueryUI datepicker

This patch updates the recalls page in the OPAC so that it uses
Flatpickr for the "Recall not needed after" field.

To test apply the patch and enable the UseRecalls preference if
necessary. You made need to update your circulation rules as well,
defining some default values for recalls.

- Log in to the OPAC.
- Locate a bibliographic record which has one item and that item is
  checked out.
- Click "Place recall."
- The "Recall not needed after" field should be styled correctly, and
  clicking it should trigger the calendar popup.
- You should be limited to selections after today's date.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Marcel de Rooy 2022-05-03 12:42:53 UTC
Created attachment 134534 [details] [review]
Bug 30550: OPAC recalls page tries to use jQueryUI datepicker

This patch updates the recalls page in the OPAC so that it uses
Flatpickr for the "Recall not needed after" field.

To test apply the patch and enable the UseRecalls preference if
necessary. You made need to update your circulation rules as well,
defining some default values for recalls.

- Log in to the OPAC.
- Locate a bibliographic record which has one item and that item is
  checked out.
- Click "Place recall."
- The "Recall not needed after" field should be styled correctly, and
  clicking it should trigger the calendar popup.
- You should be limited to selections after today's date.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Marcel de Rooy 2022-05-03 12:42:57 UTC
Created attachment 134535 [details] [review]
Bug 30550: (QA follow-up) Clear cleartext remainders

Clear enough?

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Fridolin Somers 2022-05-03 21:28:02 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄